Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: mpd

Tunables Interfaces

### Description:

Music Player Daemon.

### Tunables:

mpd_enable_homedirs

##### Default value

false

##### Description

Determine whether mpd can traverse user home directories.

mpd_use_cifs

##### Default value

false

##### Description

Determine whether mpd can use cifs file systems.

mpd_use_nfs

##### Default value

false

##### Description

Determine whether mpd can use nfs file systems.

Return

### Interfaces:

mpd_admin( domain , role )

##### Summary

All of the rules required to administrate an mpd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

mpd_domtrans( domain )

##### Summary

Execute a domain transition to run mpd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

mpd_home_filetrans_user_data( domain , object_class , name )

##### Summary

Create objects in user home directories with the mpd user data type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

mpd_initrc_domtrans( domain )

##### Summary

Execute mpd server in the mpd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

mpd_manage_data_files( domain )

##### Summary

Create, read, write, and delete mpd data files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mpd_manage_lib_dirs( domain )

##### Summary

Create, read, write, and delete mpd lib dirs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mpd_manage_lib_files( domain )

##### Summary

Create, read, write, and delete mpd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mpd_manage_tmpfs_files( domain )

##### Summary

Create, read, write, and delete mpd tmpfs files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mpd_manage_user_data_content( domain )

##### Summary

Create, read, write, and delete mpd user data content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mpd_read_data_files( domain )

##### Summary

Read mpd data files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mpd_read_lib_files( domain )

##### Summary

Read mpd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mpd_read_tmpfs_files( domain )

##### Summary

Read mpd tmpfs files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mpd_relabel_user_data_content( domain )

##### Summary

Relabel mpd user data content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mpd_search_lib( domain )

##### Summary

Search mpd lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

mpd_var_lib_filetrans( domain , private type , object , name )

##### Summary

Create specified objects in mpd lib directories with a private type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
private type | The type of the object to be created.
object | The object class of the object being created.
name | The name of the object being created.

Return